## rpm 4.16.1.2+dfsg1

=== debian/changelog ===
rpm (4.16.1.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add the hide-symbols patch to exclude the new xlateTags symbol from
    librpm9's public interface.

 -- Peter Pentchev <roam@debian.org>  Wed, 30 Jun 2021 11:38:56 +0300

rpm (4.16.1.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Amend the CVE-2021-3421-CVE-2021-20271 patch, add two follow-up
    upstream commits that relax the restrictions a little bit to
    allow for some existing RPM packages.

 -- Peter Pentchev <roam@debian.org>  Tue, 29 Jun 2021 18:15:25 +0300

rpm (4.16.1.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMUs; thanks, Matthias and Boyuan!
  * Add the CVE-2021-20266 and CVE-2021-3421-CVE-2021-20271 patches to
    strengthen the verification of RPM signatures. Closes: #985308

 -- Peter Pentchev <roam@debian.org>  Tue, 29 Jun 2021 14:11:21 +0300

rpm (4.16.1.2+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Only build-depend on gnupg2 on linux architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 23:39:07 +0100

rpm (4.16.1.2+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Only build-depend on libaudit-dev on linux architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 22:50:12 +0100

=== debian/control ===
Source: rpm
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Michal Čihař <nijel@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               zlib1g-dev,
               libbz2-dev,
               libpopt-dev,
               libxml2-dev,
               libarchive-dev,
               libreadline-dev,
               libzstd-dev,
               libselinux1-dev [linux-any],
               libsepol1-dev [linux-any],
               libcap-dev [linux-any],
               libdbus-1-dev,
               libsqlite3-dev,
               python3-all-dev,
               binutils-dev,
               bzip2,
               p7zip-full,
               pkg-config,
               libnspr4-dev,
               libnss3-dev,
               liblzma-dev,
               xz-utils,
               libmagic-dev,
               libelf-dev,
               libdw-dev,
               libdb-dev,
               liblua5.2-dev,
               libsemanage1-dev [linux-any],
               libgcrypt20-dev,
               libaudit-dev [linux-any],
               gnupg2 [linux-any],
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpm
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpm.git
Homepage: https://rpm.org/

Package: rpm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         rpm2cpio,
         debugedit (= ${binary:Version}),
         rpm-common (= ${binary:Version})
Suggests: alien,
          python3,
          elfutils,
          rpmlint,
          rpm2html,
          rpm-i18n
Description: package manager for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 On Debian and derived systems it is recommended to use "alien" to
 convert RPM packages into .deb format instead of bypassing the Debian
 package management system by installing them directly with rpm.

Package: rpm2cpio
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         rpm-common (= ${binary:Version})
Suggests: rpm-i18n
Description: tool to convert RPM package to CPIO archive
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains tool to convert RPM packages to standard CPIO
 archive.

Package: rpm-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: common files for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains some scripts and default configuration which is
 used by RPM libraries.

Package: rpm-i18n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Suggests: rpm
Description: localization and localized man pages for rpm
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package contains localization of rpm and localized man pages.

Package: librpm9
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpmio9 (= ${binary:Version})
Recommends: rpm-common (= ${binary:Version})
Description: RPM shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library allows programs to make use of an RPM database or RPM packages
 without going through the program rpm.

Package: librpmio9
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: RPM IO shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides basic IO functionality which is used by librpm.

Package: librpmbuild9
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpm9 (= ${binary:Version}),
         librpmio9 (= ${binary:Version})
Description: RPM build shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides an interface for building RPM packages.

Package: librpmsign9
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpm9 (= ${binary:Version}),
         librpmio9 (= ${binary:Version})
Description: RPM signing shared library
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This library provides an interface for signing RPM packages.

Package: librpm-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: librpm9 (= ${binary:Version}),
         librpmio9 (= ${binary:Version}),
         librpmbuild9 (= ${binary:Version}),
         librpmsign9 (= ${binary:Version}),
         libc6-dev,
         libpopt-dev,
         libdb-dev,
         libbz2-dev,
         zlib1g-dev,
         libxml2-dev,
         libreadline-dev,
         libzstd-dev,
         libselinux1-dev [linux-any],
         libsqlite3-dev,
         libgcrypt20-dev,
         libaudit-dev,
         ${misc:Depends}
Description: RPM shared library, development kit
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package provides the development kit, containing static 
 libraries and header files necessary to build programs that use 
 librpm.

Package: python3-rpm
Architecture: any
Section: python
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         librpm9 (= ${binary:Version}),
         librpmio9 (= ${binary:Version}),
         librpmbuild9 (= ${binary:Version}),
         librpmsign9 (= ${binary:Version}),
         rpm-common (= ${binary:Version})
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: Python 3 bindings for RPM
 The RPM Package Manager (RPM) is a command-line driven package
 management system capable of installing, uninstalling, verifying,
 querying, and updating computer software packages.
 .
 This package includes the Python bindings for librpm, allowing Python
 scripts to manipulate RPM packages and the RPM database.
 .
 This package installs the library for Python 3.

Package: debugedit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         librpmio9 (= ${binary:Version})
Suggests: rpm-i18n
Breaks: rpm (<<4.11.1-2)
Replaces: rpm (<<4.11.1-2)
Description: tool to mangle source locations in .debug files
 This tool allows rewriting of source code locations in .debug files
 to point to /usr/src (or anywhere else). It has been split out of the
 rpm package to be useful on its own.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# For DEB_HOST_ARCH_OS
include /usr/share/dpkg/architecture.mk

# For proper pkg-config
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CPPFLAGS+=$(shell $(PKG_CONFIG) --cflags nss)

ifeq (linux,$(DEB_HOST_ARCH_OS))
       configure_flags +=--with-cap --with-selinux
endif

configure_flags += \
	--datadir=/usr/share \
	--with-external-db \
	--with-lua \
	--with-debian \
	--with-vendor=debian \
	--enable-shared \
	--enable-python \
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
	CPPFLAGS="$(CPPFLAGS)"

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)
	cd python && ln -s ../debian

override_dh_auto_build:
	dh_auto_build
	cd python && dh_auto_build --buildsystem=pybuild
	if which help2man >/dev/null 2>&1; then \
	  help2man \
	    --no-info \
	    --section=8 \
	    --name='Debuginfo editing helper' \
	    --version-string="$$(./debugedit --version | sed 's/RPM *//')" \
	    --include=debian/debugedit.h2m ./debugedit \
	    > debian/debugedit.8; \
	fi

override_dh_auto_install:
	dh_auto_install
	# Remove Python, we use distutils built modules
	rm -rf debian/tmp/usr/lib/python*
	cd python && dh_auto_install --buildsystem=pybuild
	# Kill all the junk this installs.
	rm -f debian/tmp/usr/lib/rpm/config.guess \
		debian/tmp/usr/lib/rpm/config.sub \
		debian/tmp/usr/lib/*/*.la \
		debian/tmp/usr/lib/*/rpm-plugins/*.la \
		debian/tmp/usr/lib/rpm/rpm.log
	# Fix permissions
	chmod +x debian/tmp/usr/lib/rpm/rpm.daily

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python/build
	rm -rf python/.pybuild
	rm -f python/debian

%:
	dh $@

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//" \
  http://rpm.org/download.html \
  http://ftp.rpm.org/releases/rpm-[\d\.]+.x/rpm-([\d\.]+).tar.bz2

## rpm 4.17.0+dfsg1

=== debian/changelog ===
rpm (4.17.0+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:05:31 +0100

rpm (4.17.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Teach the autopkgtest about RPM target architecture families like
    "arm": try to expand the result of `rpm --eval '%{_arch}'` to see
    whether it corresponds to a list of architecture names.
    Closes: #1000467 (again, sorry!).

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Dec 2021 16:39:27 +0200

rpm (4.17.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add the gnuabi64 patch to fix the GNU triplet suffix issue on
    mipsel, too (caught by the guard in the triplet-suffix patch).
    Update the triplet-suffix patch accordingly.

 -- Peter Pentchev <roam@debian.org>  Sat, 27 Nov 2021 22:23:26 +0200

rpm (4.17.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add pandoc as a build dependency to fix a "FTBFS twice in a row" bug.
  * Sort the list of build dependencies alphabetically.
  * Add an epoch to the debugedit dependency. Closes: #1000575
  * Add the gnueabihf patch to fix the armhf build. Closes: #968487
  * Make the brp-python-bytecompile script executable.
  * Fix the filename in a Facebook copyright notice.
  * Fix the pythondistdeps.py interpreter name.
  * Drop the no-op debian/dirs file.
  * Also hardcode the /bin/mkdir path in `mkdir -p`. Closes: #990329
  * Activate all the build hardening flags.
  * Add the triplet-suffix patch as an attempt to catch earlier any
    future breakage with new, unrecognized GNU target triplets.
  * Refresh the line numbers in two patches.
  * Add the cppcheck patch to fix two minor issues.

 -- Peter Pentchev <roam@debian.org>  Sat, 27 Nov 2021 00:58:55 +0200

rpm (4.17.0+dfsg1-1) unstable; urgency=medium

  [ Peter Pentchev ]
  * Team upload.
  * Switch the build dependency to the unversioned libsepol-dev and
    libsemanage-dev, since libsepol1-dev and libsemanage1-dev are
    now gone. Closes: #999816
  * Add the usr-bin patch to fix the rpm.daily script.
  * Teach the watch file about ftp.osuosl.org.
  * Bump the watch file format version to 4 with no changes.
  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add Build-Depends-Package to the symbols files.
  * Drop the --as-needed flag, it is on by default now.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Update Michal Čihař's debian/* copyright notice.
  * Add copyright notices for myself and Matthias Klose.
  * Rename manpage-has-errors-from-man to groff-message.
  * Drop some obsolete Lintian overrides.
  * Drop some trailing whitespace in a package description.
  * Add an autopkgtest for rpm and rpmbuild.
  * Bump the debhelper compat level to 13 and drop the dh_missing
    invocation with the --fail-missing option, this is the default now.
  * Use execute_after_* debhelper targets.
  * Use debian/clean instead of a rules file target.
  * Explicitly pass the paths to some tools to fix mismatches between
    packages built on usrmerged vs. non-usrmerged systems.
    Closes: #915849
  * New upstream version:
    - drop the CVE-2021-3421-CVE-2021-20271 and CVE-2021-20266 patches,
      they were taken from upstream
    - update the Lua build dependency to version 5.3
    - drop the 0012-pythondistdeps.py-Use-python3-in-shebang patch,
      the Python tools were moved to a separate source package
    - drop the debugedit-trunk and gcc-dwarf5 patches, debugedit was
      moved to a separate source package
    - drop the hide-symbols patch, it was accepted upstream
    - do not install the fileattrs, brp-python*, and pythondistdeps tools,
      they were moved to a separate source package
    - update the list of tools that we do not let the configure script
      autodetect for usrmerge-related reasons
    - drop the debugedit binary package and its associated files,
      it has moved to a separate source package
    - reflect the doc/ -> docs/ move in debian/rpm.docs, too
    - override three source-is-missing Lintian warnings for some test
      suite files; the sources are in another directory
    - update the library symbols files, dropping several obsolete
      functions from a mostly internal-use library; no packages in
      the Debian archive reference the dropped symbols
    - add an entry to rpm.NEWS with a warning to export the RPM package
      database before performing this upgrade
    - add the Facebook copyright notice for the fsverity code
  * Add libfsverity support.
  * Add back the Python packaging scripts until the python-rpm-packaging
    project cuts a release.
  * Drop the rpm2html suggestion, this package is not in Debian.
  * Fix the Bug-Debian headers for the rpmdb-in-home patch.

  [ Pino Toscano ]
  * Improve the dependencies of librpm-dev:
    - drop libc6-dev, it is in build-essential
    - restrict libaudit-dev as linux-any, as it is available only on Linux
      (audit support is Linux-specific)

 -- Peter Pentchev <roam@debian.org>  Sat, 20 Nov 2021 23:45:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,39 +3,40 @@
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               binutils-dev,
+               bzip2,
+               debugedit (>= 1:5),
                dh-sequence-python3,
-               zlib1g-dev,
+               gnupg2 [linux-any],
+               libarchive-dev,
+               libaudit-dev [linux-any],
                libbz2-dev,
-               libpopt-dev,
-               libxml2-dev,
-               libarchive-dev,
-               libreadline-dev,
-               libzstd-dev,
-               libselinux1-dev [linux-any],
-               libsepol1-dev [linux-any],
                libcap-dev [linux-any],
                libdbus-1-dev,
+               libdw-dev,
+               libelf-dev,
+               libfsverity-dev [linux-any],
+               libgcrypt20-dev,
+               liblua5.3-dev,
+               liblzma-dev,
+               libmagic-dev,
+               libpopt-dev,
+               libreadline-dev,
+               libselinux1-dev [linux-any],
+               libsemanage-dev [linux-any],
+               libsepol-dev [linux-any],
                libsqlite3-dev,
+               libxml2-dev,
+               libzstd-dev,
+               p7zip-full,
+               pandoc,
+               pkg-config,
                python3-all-dev,
-               binutils-dev,
-               bzip2,
-               p7zip-full,
-               pkg-config,
-               libnspr4-dev,
-               libnss3-dev,
-               liblzma-dev,
                xz-utils,
-               libmagic-dev,
-               libelf-dev,
-               libdw-dev,
-               libdb-dev,
-               liblua5.2-dev,
-               libsemanage1-dev [linux-any],
-               libgcrypt20-dev,
-               libaudit-dev [linux-any],
-               gnupg2 [linux-any],
-Standards-Version: 4.5.1
+               zlib1g-dev,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpm
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpm.git
 Homepage: https://rpm.org/
@@ -46,13 +47,12 @@
          ${misc:Depends},
          ${perl:Depends},
          rpm2cpio,
-         debugedit (= ${binary:Version}),
+         debugedit (>= 1:5),
          rpm-common (= ${binary:Version})
 Suggests: alien,
           python3,
           elfutils,
           rpmlint,
-          rpm2html,
           rpm-i18n
 Description: package manager for RPM
  The RPM Package Manager (RPM) is a command-line driven package
@@ -165,9 +165,7 @@
          librpmio9 (= ${binary:Version}),
          librpmbuild9 (= ${binary:Version}),
          librpmsign9 (= ${binary:Version}),
-         libc6-dev,
          libpopt-dev,
-         libdb-dev,
          libbz2-dev,
          zlib1g-dev,
          libxml2-dev,
@@ -176,15 +174,16 @@
          libselinux1-dev [linux-any],
          libsqlite3-dev,
          libgcrypt20-dev,
-         libaudit-dev,
+         libaudit-dev [linux-any],
+         libfsverity-dev [linux-any],
          ${misc:Depends}
 Description: RPM shared library, development kit
  The RPM Package Manager (RPM) is a command-line driven package
  management system capable of installing, uninstalling, verifying,
  querying, and updating computer software packages.
  .
- This package provides the development kit, containing static 
- libraries and header files necessary to build programs that use 
+ This package provides the development kit, containing static
+ libraries and header files necessary to build programs that use
  librpm.
 
 Package: python3-rpm
@@ -210,17 +209,3 @@
  scripts to manipulate RPM packages and the RPM database.
  .
  This package installs the library for Python 3.
-
-Package: debugedit
-Architecture: any
-Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpmio9 (= ${binary:Version})
-Suggests: rpm-i18n
-Breaks: rpm (<<4.11.1-2)
-Replaces: rpm (<<4.11.1-2)
-Description: tool to mangle source locations in .debug files
- This tool allows rewriting of source code locations in .debug files
- to point to /usr/src (or anywhere else). It has been split out of the
- rpm package to be useful on its own.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# For DEB_HOST_ARCH_OS
include /usr/share/dpkg/architecture.mk

# For proper pkg-config
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
       configure_flags +=--with-cap --with-selinux --with-fsverity
endif

configure_flags += \
	--datadir=/usr/share \
	--with-external-db \
	--with-lua \
	--with-debian \
	--with-vendor=debian \
	--enable-shared \
	--enable-python \
	CPPFLAGS="$(CPPFLAGS)"

configure_paths += \
	AWK=/usr/bin/awk \
	__BZIP2=/bin/bzip2 \
	__CAT=/bin/cat \
	__CHMOD=/bin/chmod \
	__CHOWN=/bin/chown \
	__CP=/bin/cp \
	__CURL=/usr/bin/curl \
	__FILE=/usr/bin/file \
	__GPG=/usr/bin/gpg2 \
	__GREP=/bin/grep \
	__GZIP=/bin/gzip \
	__UNZIP=/usr/bin/unzip \
	__ID=/usr/bin/id \
	__INSTALL=/usr/bin/install \
	__LRZIP=/usr/bin/lrzip \
	__LZIP=/usr/bin/lzip \
	__XZ=/usr/bin/xz \
	__GEM=/usr/bin/gem \
	__MAKE=/usr/bin/make \
	__MKDIR=/bin/mkdir \
	MKDIR_P='/bin/mkdir -p' \
	__MV=/bin/mv \
	__PATCH=/usr/bin/patch \
	__PERL=/usr/bin/perl \
	__PGP=/usr/bin/pgp \
	__PYTHON=/usr/bin/python \
	__RM=/bin/rm \
	__SED=/bin/sed \
	__TAR=/bin/tar \
	__ZSTD=/usr/bin/zstd \
	__LD=/usr/bin/ld \
	__OBJDUMP=/usr/bin/objdump \
	__STRIP=/usr/bin/strip \
	__FIND_DEBUGINFO=/usr/bin/find-debuginfo \
	__GIT=/usr/bin/git \
	__HG=/usr/bin/hg \
	__BZR=/usr/bin/bzr \
	__QUILT=/usr/bin/quilt


override_dh_auto_configure:
	dh_auto_configure -- $(configure_paths) $(configure_flags)
	cd python && ln -s ../debian

execute_after_dh_auto_build:
	cd python && dh_auto_build --buildsystem=pybuild

execute_after_dh_auto_install:
	# Remove Python, we use distutils built modules
	rm -rf debian/tmp/usr/lib/python*
	cd python && dh_auto_install --buildsystem=pybuild
	# Kill all the junk this installs.
	rm -f debian/tmp/usr/lib/rpm/config.guess \
		debian/tmp/usr/lib/rpm/config.sub \
		debian/tmp/usr/lib/*/*.la \
		debian/tmp/usr/lib/*/rpm-plugins/*.la \
		debian/tmp/usr/lib/rpm/rpm.log
	# Fix permissions
	chmod +x debian/tmp/usr/lib/rpm/rpm.daily

%:
	dh $@

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/tests/src" python3 -B -u -m rpmtest -b /usr/bin -d debian/tests/data
Depends: @, fakeroot, file, make
Features: test-name=rpmbuild
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//" \
  https://rpm.org/download.html \
  https://ftp.osuosl.org/pub/rpm/releases/rpm-[\d\.]+.x/rpm-([\d\.]+).tar.bz2

## rpm 4.18.0+dfsg

=== debian/changelog ===
rpm (4.18.0+dfsg-1+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Enable the read-only BerkeleyDB backend. Closes: #1061258

 -- Peter Pentchev <roam@debian.org>  Thu, 25 Jan 2024 14:18:24 +0200

rpm (4.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * New upstream release:
    - drop the triplet-suffix patch, integrated upstream
    - drop the cppcheck patch, partially integrated upstream
    - adapt the debian-disable-rpm patch for the moved rpmprob.h file
    - update the lua-libname patch to use Lua 5.3
    - refresh patch line numbers
    - install rpmuncompress and rpm_macros_provides.sh into the rpm package
    - update the library symbols files

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 20:29:48 +0200

rpm (4.17.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Catch up with the changed format of some Lintian messages.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * Fix the DEP-3 headers of two patches.
  * Minor improvements to the Python coding style of the autopkgtest tool:
    - use black version 22
    - reformat with 100 characters per line
    - drop the flake8 + hacking Tox test environment
    - specify version constraints for the dependencies in the Tox test
      environments
    - use deferred type annotations and the base collection type names,
      not those from the typing library
    - use python3-utf8-locale
  * New upstream release:
    - drop the gnueabihf and gnuabi64 patches, merged upstream
    - refresh patch line numbers
    - add three new symbols to the librpmio9 package's symbols file
  * Use +dfsg, not +dfsg1, as a repack suffix.

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Sep 2022 14:16:37 +0300

=== debian/control ===
--- 
+++ 
@@ -33,9 +33,10 @@
                pandoc,
                pkg-config,
                python3-all-dev,
+               python3-utf8-locale <!nocheck>,
                xz-utils,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpm
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpm.git
@@ -160,7 +161,6 @@
 Package: librpm-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: librpm9 (= ${binary:Version}),
          librpmio9 (= ${binary:Version}),
          librpmbuild9 (= ${binary:Version}),
@@ -189,7 +189,6 @@
 Package: python3-rpm
 Architecture: any
 Section: python
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	--with-vendor=debian \
 	--enable-shared \
 	--enable-python \
+	--enable-bdb-ro \
 	CPPFLAGS="$(CPPFLAGS)"
 
 configure_paths += \

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/debian/tests/src" python3 -B -u -m rpmtest -b /usr/bin -d debian/tests/data
Depends: @, fakeroot, file, make, python3-utf8-locale
Features: test-name=rpmbuild
Restrictions: allow-stderr

## rpm 4.18.2+dfsg

=== debian/changelog ===
rpm (4.18.2+dfsg-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:03:14 +1100

rpm (4.18.2+dfsg-2.1build1) noble; urgency=medium

  * No-change rebuild against libmagic t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:37:29 +0100

rpm (4.18.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063186

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:44:30 +0000

rpm (4.18.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Add d/salsa-ci.yml
  * rpm: add RPM_FORCE_DEBIAN= env var as alternative to --force-debian
    (Closes: #1051223)
  * Install D-Bus conf file in /usr/ instead of /etc/

  [ Michel Lind ]
  * Enable NDB backend
  * Replace pkg-config with pkgconf
  * Trim trailing whitespace
  * Set field Upstream-Name in debian/copyright

 -- Luca Boccassi <bluca@debian.org>  Sun, 25 Feb 2024 13:29:45 +0000

rpm (4.18.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Enable the read-only BerkeleyDB backend. Closes: #1061258
  * Add the year 2024 to my debian/* copyright notice.
  * Use dh-package-notes to record ELF package metadata.
  * New upstream release:
    - add the FILECMD parameter to the configure invocation
    - remove the Python egg-info file installed by the upstream build system;
      pybuild handles that for us

 -- Peter Pentchev <roam@debian.org>  Sun, 21 Jan 2024 23:44:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: rpm
-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Michal Čihař <nijel@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                binutils-dev,
                bzip2,
                debugedit (>= 1:5),
                dh-sequence-python3,
+               dh-package-notes,
                gnupg2 [linux-any],
                libarchive-dev,
                libaudit-dev [linux-any],
@@ -31,7 +33,7 @@
                libzstd-dev,
                p7zip-full,
                pandoc,
-               pkg-config,
+               pkgconf,
                python3-all-dev,
                python3-utf8-locale <!nocheck>,
                xz-utils,
@@ -103,12 +105,15 @@
  .
  This package contains localization of rpm and localized man pages.
 
-Package: librpm9
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpmio9 (= ${binary:Version})
+Package: librpm9t64
+Provides: ${t64:Provides}
+Replaces: librpm9
+Breaks: librpm9 (<< ${source:Version})
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpmio9t64 (= ${binary:Version})
 Recommends: rpm-common (= ${binary:Version})
 Description: RPM shared library
  The RPM Package Manager (RPM) is a command-line driven package
@@ -118,7 +123,10 @@
  This library allows programs to make use of an RPM database or RPM packages
  without going through the program rpm.
 
-Package: librpmio9
+Package: librpmio9t64
+Provides: ${t64:Provides}
+Replaces: librpmio9
+Breaks: librpmio9 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -130,13 +138,16 @@
  .
  This library provides basic IO functionality which is used by librpm.
 
-Package: librpmbuild9
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpm9 (= ${binary:Version}),
-         librpmio9 (= ${binary:Version})
+Package: librpmbuild9t64
+Provides: ${t64:Provides}
+Replaces: librpmbuild9
+Breaks: librpmbuild9 (<< ${source:Version})
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpm9t64 (= ${binary:Version}),
+         librpmio9t64 (= ${binary:Version})
 Description: RPM build shared library
  The RPM Package Manager (RPM) is a command-line driven package
  management system capable of installing, uninstalling, verifying,
@@ -144,13 +155,16 @@
  .
  This library provides an interface for building RPM packages.
 
-Package: librpmsign9
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpm9 (= ${binary:Version}),
-         librpmio9 (= ${binary:Version})
+Package: librpmsign9t64
+Provides: ${t64:Provides}
+Replaces: librpmsign9
+Breaks: librpmsign9 (<< ${source:Version})
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpm9t64 (= ${binary:Version}),
+         librpmio9t64 (= ${binary:Version})
 Description: RPM signing shared library
  The RPM Package Manager (RPM) is a command-line driven package
  management system capable of installing, uninstalling, verifying,
@@ -161,10 +175,10 @@
 Package: librpm-dev
 Architecture: any
 Section: libdevel
-Depends: librpm9 (= ${binary:Version}),
-         librpmio9 (= ${binary:Version}),
-         librpmbuild9 (= ${binary:Version}),
-         librpmsign9 (= ${binary:Version}),
+Depends: librpm9t64 (= ${binary:Version}),
+         librpmio9t64 (= ${binary:Version}),
+         librpmbuild9t64 (= ${binary:Version}),
+         librpmsign9t64 (= ${binary:Version}),
          libpopt-dev,
          libbz2-dev,
          zlib1g-dev,
@@ -192,10 +206,10 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
-         librpm9 (= ${binary:Version}),
-         librpmio9 (= ${binary:Version}),
-         librpmbuild9 (= ${binary:Version}),
-         librpmsign9 (= ${binary:Version}),
+         librpm9t64 (= ${binary:Version}),
+         librpmio9t64 (= ${binary:Version}),
+         librpmbuild9t64 (= ${binary:Version}),
+         librpmsign9t64 (= ${binary:Version}),
          rpm-common (= ${binary:Version})
 Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 ifeq (linux,$(DEB_HOST_ARCH_OS))
        configure_flags +=--with-cap --with-selinux --with-fsverity
 endif
@@ -27,6 +29,7 @@
 	--enable-shared \
 	--enable-python \
 	--enable-bdb-ro \
+	--enable-ndb \
 	CPPFLAGS="$(CPPFLAGS)"
 
 configure_paths += \
@@ -38,6 +41,7 @@
 	__CP=/bin/cp \
 	__CURL=/usr/bin/curl \
 	__FILE=/usr/bin/file \
+	FILECMD=/usr/bin/file \
 	__GPG=/usr/bin/gpg2 \
 	__GREP=/bin/grep \
 	__GZIP=/bin/gzip \
@@ -79,7 +83,7 @@
 
 execute_after_dh_auto_install:
 	# Remove Python, we use distutils built modules
-	rm -rf debian/tmp/usr/lib/python*
+	rm -rf python/rpm.egg-info debian/tmp/usr/lib/python*
 	cd python && dh_auto_install --buildsystem=pybuild
 	# Kill all the junk this installs.
 	rm -f debian/tmp/usr/lib/rpm/config.guess \

## rpm 4.19.1.1+dfsg

=== debian/changelog ===
rpm (4.19.1.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 May 2024 17:49:47 +0100

rpm (4.19.1.1+dfsg-1~exp) experimental; urgency=medium

  [ Loren M. Lang ]
  * Fix librpm symbol versions to reflect when they are actually available

  [ Luca Boccassi ]
  * d/copyright: update Files-Excluded, html docs moved
  * Bump Standards-Version to 4.7.0, no changes
  * New upstream version 4.19.1.1
  * Drop Debian specific disablement/redirection patches. RPM will now use the
    default upstream database directory, and will no longer print warnings.
    (Closes: #1004863, #1008818, #794495)
  * Drop autogen-cleanup.patch, autoconf is no longer used
  * Refresh patches for 4.19
  * Update for new CMake build system
  * Update for ABI bump to SONAME version 10
  * Add myself to Uploaders
  * Drop pandoc build dependency (Closes: #1066841)
  * Backports CMake fixes for awk detection from upstream
  * Add Multi-Arch annotations
  * Add Forwarded tags to patches sent upstream
  * Drop usr-bin.patch, utilities have now all moved to /usr/bin/
  * Drop rpm-4.10.90-rpmlib-filesystem-check.patch, no longer needed
  * Drop tempfile.patch, the script it patches never worked on Linux

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 22:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: rpm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders: Michal Čihař <nijel@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Michal Čihař <nijel@debian.org>,
+           Luca Boccassi <bluca@debian.org>,
 Section: admin
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                binutils-dev,
                bzip2,
+               cmake,
                debugedit (>= 1:5),
                dh-sequence-python3,
                dh-package-notes,
@@ -31,14 +32,13 @@
                libsqlite3-dev,
                libxml2-dev,
                libzstd-dev,
-               p7zip-full,
-               pandoc,
+               7zip,
                pkgconf,
                python3-all-dev,
                python3-utf8-locale <!nocheck>,
                xz-utils,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/rpm
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/rpm.git
@@ -95,6 +95,7 @@
 
 Package: rpm-i18n
 Architecture: all
+Multi-Arch: foreign
 Section: localization
 Depends: ${misc:Depends}
 Suggests: rpm
@@ -105,15 +106,13 @@
  .
  This package contains localization of rpm and localized man pages.
 
-Package: librpm9t64
-Provides: ${t64:Provides}
-Replaces: librpm9
-Breaks: librpm9 (<< ${source:Version})
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpmio9t64 (= ${binary:Version})
+Package: librpm10
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpmio10 (= ${binary:Version})
 Recommends: rpm-common (= ${binary:Version})
 Description: RPM shared library
  The RPM Package Manager (RPM) is a command-line driven package
@@ -123,11 +122,9 @@
  This library allows programs to make use of an RPM database or RPM packages
  without going through the program rpm.
 
-Package: librpmio9t64
-Provides: ${t64:Provides}
-Replaces: librpmio9
-Breaks: librpmio9 (<< ${source:Version})
-Architecture: any
+Package: librpmio10
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -138,16 +135,14 @@
  .
  This library provides basic IO functionality which is used by librpm.
 
-Package: librpmbuild9t64
-Provides: ${t64:Provides}
-Replaces: librpmbuild9
-Breaks: librpmbuild9 (<< ${source:Version})
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpm9t64 (= ${binary:Version}),
-         librpmio9t64 (= ${binary:Version})
+Package: librpmbuild10
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpm10 (= ${binary:Version}),
+         librpmio10 (= ${binary:Version})
 Description: RPM build shared library
  The RPM Package Manager (RPM) is a command-line driven package
  management system capable of installing, uninstalling, verifying,
@@ -155,16 +150,14 @@
  .
  This library provides an interface for building RPM packages.
 
-Package: librpmsign9t64
-Provides: ${t64:Provides}
-Replaces: librpmsign9
-Breaks: librpmsign9 (<< ${source:Version})
-Architecture: any
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         librpm9t64 (= ${binary:Version}),
-         librpmio9t64 (= ${binary:Version})
+Package: librpmsign10
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         librpm10 (= ${binary:Version}),
+         librpmio10 (= ${binary:Version})
 Description: RPM signing shared library
  The RPM Package Manager (RPM) is a command-line driven package
  management system capable of installing, uninstalling, verifying,
@@ -174,11 +167,12 @@
 
 Package: librpm-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: librpm9t64 (= ${binary:Version}),
-         librpmio9t64 (= ${binary:Version}),
-         librpmbuild9t64 (= ${binary:Version}),
-         librpmsign9t64 (= ${binary:Version}),
+Depends: librpm10 (= ${binary:Version}),
+         librpmio10 (= ${binary:Version}),
+         librpmbuild10 (= ${binary:Version}),
+         librpmsign10 (= ${binary:Version}),
          libpopt-dev,
          libbz2-dev,
          zlib1g-dev,
@@ -206,10 +200,10 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
-         librpm9t64 (= ${binary:Version}),
-         librpmio9t64 (= ${binary:Version}),
-         librpmbuild9t64 (= ${binary:Version}),
-         librpmsign9t64 (= ${binary:Version}),
+         librpm10 (= ${binary:Version}),
+         librpmio10 (= ${binary:Version}),
+         librpmbuild10 (= ${binary:Version}),
+         librpmsign10 (= ${binary:Version}),
          rpm-common (= ${binary:Version})
 Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# For DEB_HOST_ARCH_OS
include /usr/share/dpkg/architecture.mk

# For proper pkg-config
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
       configure_flags += -DWITH_CAP=ON -DWITH_SELINUX=ON -DWITH_FSVERITY=ON
endif

configure_flags += \
	-DENABLE_TESTSUITE=OFF \
	-DWITH_INTERNAL_OPENPGP=ON \
	-DMKTREE_BACKEND=rootfs \
	-DENABLE_PYTHON=ON \
	-DENABLE_BDB_RO=ON \
	-DENABLE_NDB=ON

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

execute_after_dh_auto_install:
	# Fix permissions
	chmod +x debian/tmp/usr/lib/rpm/rpm.daily

%:
	dh $@

## rpm 4.20.0+dfsg

=== debian/changelog ===
rpm (4.20.0+dfsg-3) unstable; urgency=high

  * Fully restore internal openpgp parser

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Oct 2024 13:30:35 +0100

rpm (4.20.0+dfsg-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Explicitly add the needed libacl1-dev build dependency

  [ Luca Boccassi ]
  * autopkgtest: disable debuginfo package instead of changing spec to
    noarch

 -- Luca Boccassi <bluca@debian.org>  Wed, 16 Oct 2024 12:17:35 +0100

rpm (4.20.0+dfsg-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build depend on python3-dev instead of python3-all-dev (Closes:
    #1071148)

  [ Pino Toscano ]
  * Explicitly disable Linux features on non-Linux architectures

  [ Luca Boccassi ]
  * New upstream version 4.20.0+dfsg
  * Drop patches merged upstream
  * Disable rpm-sequoia
  * Perl bindings are no longer provided
  * Update symbols files
  * autopkgtest: set needs-root and noarch for script-only test package

 -- Luca Boccassi <bluca@debian.org>  Sun, 13 Oct 2024 22:15:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-python3,
                dh-package-notes,
                gnupg2 [linux-any],
+               libacl1-dev,
                libarchive-dev,
                libaudit-dev [linux-any],
                libbz2-dev,
@@ -34,7 +35,7 @@
                libzstd-dev,
                7zip,
                pkgconf,
-               python3-all-dev,
+               python3-dev,
                python3-utf8-locale <!nocheck>,
                xz-utils,
                zlib1g-dev,
@@ -48,7 +49,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${perl:Depends},
          rpm2cpio,
          debugedit (>= 1:5),
          rpm-common (= ${binary:Version})

## rpm 4.20.1%2Bdfsg

=== scripts/CMakeLists.txt ===
install(PROGRAMS gendiff TYPE BIN)
install(PROGRAMS
	brp-compress brp-strip brp-strip-comment-note
	brp-strip-static-archive brp-elfperms brp-remove-la-files
	check-files check-prereqs
	check-buildroot check-rpaths check-rpaths-worker
	find-lang.sh find-requires find-provides
	pkgconfigdeps.sh
	ocamldeps.sh
	fontconfig.prov script.req
	rpm_macros_provides.sh
	rpmdb_dump rpmdb_load
	rpm2cpio.sh tgpg
	sysusers.sh
	DESTINATION ${RPM_CONFIGDIR}
)
install(FILES
	rpm.daily rpm.log rpm.supp
	DESTINATION ${RPM_CONFIGDIR}
)

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$//" \
  https://rpm.org/download.html \
  https://ftp.osuosl.org/pub/rpm/releases/rpm-[\d\.]+.x/rpm-([\d\.]+).tar.bz2
